<template>
  <div class="container py-5 h-100">
    <div class="row d-flex justify-content-center align-items-center h-100">
      <div class="col-12 col-md-8 col-lg-6 col-xl-5">
        <div class="card bg-dark text-white" style="border-radius: 1rem;">
          <div class="card-body p-5 text-center">

            <div class="mb-md-5 mt-md-4 pb-5">

              <h2 class="fw-bold mb-2 text-uppercase">Login</h2>
              <p class="text-white-50 mb-5">Please enter your email and password!</p>

              <div class="form-outline form-white mb-4">
                <input type="email" id="typeEmailX" class="form-control form-control-lg" v-model="email" />
                <label class="form-label" for="typeEmailX">Email</label>
              </div>

              <div class="form-outline form-white mb-4">
                <input type="password" id="typePasswordX" class="form-control form-control-lg" v-model="password" />
                <label class="form-label" for="typePasswordX">Password</label>
              </div>

              <!-- <p class="small mb-5 pb-lg-2"><a class="text-white-50" href="/forgot">Forgot password?</a></p> -->

            <div>
              <button class="btn btn-outline-light btn-lg px-5" @click="login" type="submit">Login</button>
            </div>
          </div>

            <div>
              <p class="mb-0">Don't have an account? <router-link :to="{name: 'Register'}"> <a class="text-white-50 fw-bold">Sign Up</a></router-link>
              </p>
            </div>

          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Login",
  data() {
    return {
      email: '',
      password: ''
    }
  },
  methods: {
    async login(){
      const response = await fetch('http://localhost:4000/auth/sign_in', {
        method: "POST",
          headers: {
          Accept: "application/json",
          "Content-type": "application/json",
        },
        body: JSON.stringify({
          email: this.email,
          password: this.password,
        })
      });
      if (response.status == 200 || response.status == 401) {//FIX Jules
        let user = await response.json()
        localStorage.setItem('id', user.id)
        localStorage.setItem('role', user.role)
        localStorage.setItem('token', user.access_token)
        this.$router.push('/');
      }
    }
  }
};
</script>

<style >

</style>